
QGIS Application - Bug report #11416

Adding geojson via add vector layer causes strange behaviour

2014-10-15 12:13 PM - Antonio Locandro

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19693

Description

As in the attached image, when added the geojson via the browser (drag and drop) the file displays correctly, while using the add vector

layer command the becomes corrupt somehow but only for visualization.

Thanks to Nathan I was able to run a few tests https://twitter.com/madmanwoo/status/521797254613442560 don't know how relevant

they are though

Using WINDOWS 8.1 OSGEO4W 64 bit installer and DEV version (had same issues with all versions above 2.2, works fine with 2.2

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-03-19 06:13 PM - Antonio Locandro

Tried latest master and this is no longer the case, so we can close this ticket

#4 - 2018-03-19 08:43 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Files

test_2.png 54 KB 2014-10-15 Antonio Locandro

virginia_fips.zip 2.15 MB 2014-10-15 Antonio Locandro
